> ## Documentation Index
> Fetch the complete documentation index at: https://docs.costgraph.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Register a custom provider

> Register a custom provider



## OpenAPI

````yaml https://raw.githubusercontent.com/baselinehq/mintlify-docs/main/api-reference/openapi.json post /marketplace/providers/compute
openapi: 3.0.1
info:
  title: CostGraph Pricing API
  description: Provides API level access to the Costgraph Services.
  termsOfService: https://costgraph.baselinehq.cloud/terms-of-use
  contact:
    name: Customer Support
    url: https://costgraph.baselinehq.cloud/support
    email: contact@baselinehq.cloud
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://pricing.baselinehq.cloud/
security: []
paths:
  /marketplace/providers/compute:
    post:
      summary: Register a custom provider
      description: Register a custom provider
      requestBody:
        description: Custom pricing request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/types.CustomPriceRequest'
        required: true
      responses:
        '200':
          description: Pricing response for a custom provider
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.CustomPricingResponse'
        '400':
          description: Invalid request body
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
        '401':
          description: Provider and organization do not match
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponse'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  schemas:
    types.CustomPriceRequest:
      required:
        - entries
      type: object
      properties:
        entries:
          minItems: 1
          type: array
          items:
            $ref: '#/components/schemas/schema.ComputePricingsRow'
    types.CustomPricingResponse:
      type: object
      properties:
        entries:
          type: array
          items:
            $ref: '#/components/schemas/schema.ComputePricingsRow'
        status:
          $ref: >-
            #/components/schemas/github_com_baselinehq_pricingapi_pkg_types.Status
    handler.ErrorResponse:
      type: object
      properties:
        error:
          type: string
    schema.ComputePricingsRow:
      type: object
      properties:
        architecture:
          type: string
        availability_zone:
          type: string
        cost_per_hour:
          type: number
        cpu_cores:
          type: number
        cpu_cores_cost_per_hour:
          type: number
        created_at:
          type: string
        id:
          type: string
        instance_type:
          type: string
        operating_system:
          type: string
        period_billing_hours:
          type: number
        provider:
          type: string
        ram_gb:
          type: number
        ram_gb_cost_per_hour:
          type: number
        raw_pricing_data:
          type: object
          properties: {}
        region:
          type: string
        service:
          type: string
        tags:
          type: object
          properties: {}
        updated_at:
          type: string
        usage_type:
          type: string
    github_com_baselinehq_pricingapi_pkg_types.Status:
      type: string
      enum:
        - Registered
        - Deleted
      x-enum-varnames:
        - Registered
        - Deleted
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      description: API key with "bl_" prefix (e.g. "bl_<api_key>")
      name: X-API-Key
      in: header
    BearerAuth:
      type: apiKey
      description: Bearer token for authentication (e.g. "Bearer <token>")
      name: Authorization
      in: header

````